Bug 213652 - security/sslscan: update to 1.11.8, use USE=ssl, fix build with libressl-devel
Summary: security/sslscan: update to 1.11.8, use USE=ssl, fix build with libressl-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Gavin Atkinson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-20 20:03 UTC by Piotr Kubaj
Modified: 2017-02-14 10:14 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gavin)


Attachments
patch (1.69 KB, patch)
2016-10-20 20:03 UTC, Piotr Kubaj
no flags Details | Diff
patch (965 bytes, patch)
2016-11-30 17:09 UTC, Piotr Kubaj
no flags Details | Diff
patch (3.58 KB, patch)
2017-02-04 13:35 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (gavin)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2016-10-20 20:03:46 UTC
Created attachment 175991 [details]
patch

This patch updates the port to 1.11.7.

It builds fine on Poudriere with 10.3.
Comment 1 Piotr Kubaj freebsd_committer 2016-11-30 17:09:59 UTC
Created attachment 177549 [details]
patch

Updated for 1.11.8.
Comment 2 Piotr Kubaj freebsd_committer 2017-02-04 13:35:41 UTC
Created attachment 179595 [details]
patch

Updated patch to fix build with libressl-devel.
Comment 4 commit-hook freebsd_committer 2017-02-06 12:55:20 UTC
A commit references this bug:

Author: brnrd
Date: Mon Feb  6 12:55:03 UTC 2017
New revision: 433489
URL: https://svnweb.freebsd.org/changeset/ports/433489

Log:
  security/sslscan: Update to 1.11.8

    - Update to 1.11.8
    - Add USES= ssl
    - Re-roll patches
    - Fix build with libressl-devel

  PR:		213652
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>
  Approved by:	maintainer time-out

Changes:
  head/security/sslscan/Makefile
  head/security/sslscan/distinfo
  head/security/sslscan/files/patch-Makefile
  head/security/sslscan/files/patch-sslscan.c